<template>
  <q-layout view="hHh lpR fFf" role="region" aria-label="XBRL Taxonomy viewer">

    <AppHeader :dts_name="dts_name" :dts_nice_name="dts_nice_name" :nt_version="nt_version"></AppHeader>

    <div class="custom__listview" role="region" aria-label="Treeview">
      <ArcList :dts_name="dts_name" :nt_version="nt_version"></ArcList>
    </div>

    <q-page-container class="sidebar__padding" role="region" aria-label="Details">
      <router-view/>
    </q-page-container>

    <q-footer bordered class="bg-primary text-white" aria-label="Footer">
      <q-toolbar role="presentation">
        <q-toolbar-title class="absolute-bottom-left q-mr-md q-mb-sm footer full-width row">
          <div class="col-9 entrypoint-chooser-wrapper">
            <EntrypointChooser :current_dts_name="dts_name" :current_nt_version="nt_version"></EntrypointChooser>
          </div>
          <div class="col-2">
          </div>
          <div class="footer__help q-pl-md cursor-pointer col-1">
            <q-icon size="lg" name="help_outline"
                    @click="open_help()"></q-icon>
          </div>
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>
    <q-card class="help_card shadow-3" :class="hide_help" role="region" aria-label="Helpscherm">
      <Help section="dimension" @close_help="hide_help = 'hidden'"></Help>
    </q-card>

  </q-layout>
</template>

<script>
import {api} from 'boot/axios'
import AppHeader from "components/AppHeader";
import TopMenu from "components/TopMenu";
import LanguageSelector from "components/LanguageSelector";
import ArcList from "components/ArcList";
import EntrypointChooser from "components/EntrypointChooser";
import Help from "layouts/Help";

export default {
  name: "ArcViewer.vue",
  components: {AppHeader, EntrypointChooser, ArcList, Help},
  mounted() {
    this.get_dts_nice_name()
    document.title = "Network view"
  },
  props: {
    dts_name: String,
    nt_version: String,
  },
  data: function () {
    return {dts_nice_name: null, hide_help: "hidden"}
  },
  methods: {
    open_help: function () {
      window.open('/docs/vw-networks/', 'help-window', 'width=980, height=1020')
    },

    get_dts_nice_name: function () {
      api
        .get("/dts/" + this.dts_name + "/nice_name", {params: {nt_version: this.nt_version}})
        .then(response => {
          this.dts_nice_name = response.data.dts_nice_name
        })
        .catch((error) => {
          this.dts_nice_name = "[**entrypoint not found**]"
        })
    }
  }

}
</script>

<style scoped lang="scss">
.appname {
  color: $blue-2;
}

.custom__listview {
  position: fixed;
  top: 99px;
  width: 20%;
}

.sidebar__padding {
  padding-left: 20%;
}

</style>
